#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x33da2186, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xb40c6ca2, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x010bdb3b, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x7188a90c, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xaa30966f, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x11b3c96e, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xdfa42a22, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x64fbbd2f, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xf8884c1d, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xc859e4c9, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x5a530be3, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x629f3fd9, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x2e64833d, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x3530062e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x06a71089, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x0b0d6a97, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x78b17124, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x0dad2758, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x6488d02d, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x201486d9, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x2a2c92bc, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x95dbcdae, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x90ec1035, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xf6039b85, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xe4f4904f, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x6b8b7612, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x13a8bb8c, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x6b5f0dac, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xd1c61e58, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x161cbe82, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x61f8f26b, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x6fe1f024, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x362ba32c, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xb9a5ed86, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xd1b9ed6e, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xd28da0fc, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xa3707976, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xf1b81c46, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x2181a034, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xbcb47cbe, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xef6bb67f, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x97297b02, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x9a50ef17, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xa48bbb10, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb4c25169, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x435c640f, "iscsi_host_remove" },
	{ 0xd6084f8f, "pci_dev_put" },
	{ 0xc0e50afb, "iscsi_host_free" },
	{ 0x18f43ffd, "iscsi_host_alloc" },
	{ 0xddddb7e, "pci_dev_get" },
	{ 0xa688d55d, "iscsi_host_add" },
	{ 0xfcf05321, "scsi_host_put" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4b33228b, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xced91c36, "iscsi_conn_queue_xmit" },
	{ 0xad4a8d46, "__kfree_skb" },
	{ 0x1936eb7c, "iscsi_tcp_cleanup_task" },
	{ 0x557a88e, "cxgbi_ppm_ppod_release" },
	{ 0x79ae1aea, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xa21f337e, "iscsi_tcp_conn_setup" },
	{ 0x81e69f51, "iscsi_session_setup" },
	{ 0x59b547d8, "iscsi_tcp_r2tpool_alloc" },
	{ 0x676277e7, "iscsi_session_teardown" },
	{ 0x288df976, "iscsi_tcp_r2tpool_free" },
	{ 0x6c0f7f96, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8ad45a3c, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc5303b7, "iscsi_host_get_param" },
	{ 0xe9fc077d, "iscsi_unregister_transport" },
	{ 0x92cbf2fe, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xc392d390, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x516b3adb, "iscsi_register_transport" },
	{ 0x37b16a1, "init_net" },
	{ 0xe35ffbc, "ip6_route_output_flags" },
	{ 0x24bb0033, "iscsi_tcp_set_max_r2t" },
	{ 0x8e5cb882, "iscsi_set_param" },
	{ 0x7fc07437, "__alloc_skb" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb686e8f, "cxgbi_ppm_ppods_reserve" },
	{ 0xce209a36, "dma_map_sg_attrs" },
	{ 0x6c74dc02, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77c37bbc, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x909426be, "iscsi_tcp_recv_skb" },
	{ 0x39e61ff0, "iscsi_lookup_endpoint" },
	{ 0xe1659d75, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x97118066, "iscsi_tcp_hdr_recv_prep" },
	{ 0x4d1c78be, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x47e5db00, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8350ea1d, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x16095307, "__folio_put" },
	{ 0xbe1bebbc, "__put_devmap_managed_folio_refs" },
	{ 0xec1f44a5, "module_put" },
	{ 0x38a7ddd, "iscsi_destroy_endpoint" },
	{ 0x1d5490d3, "ipv6_dev_get_saddr" },
	{ 0xd831bca6, "neigh_destroy" },
	{ 0xff881a38, "make_kuid" },
	{ 0xfc4508c, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xb9feeebe, "iscsi_create_endpoint" },
	{ 0xbe321e79, "__ip_dev_find" },
	{ 0x34611bfc, "skb_put" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7423da7, "iscsi_itt_to_ctask" },
	{ 0xf94f719, "param_ops_uint" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
