#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0xe1a70baa, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x035edeca, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x982bda74, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x63315013, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x27dc6df6, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x94bc8454, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x80da2ae4, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x3f13fb15, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xbd820b58, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0xa04e3d10, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x35ab7074, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x2d49aab0, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0xeeaaf2c1, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0x8101237a, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x9eb90747, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x915f1539, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0xad9cec5a, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xff5fa7a4, "_gpl");
SYMBOL_CRC(ata_link_online, 0xc563c402, "_gpl");
SYMBOL_CRC(ata_link_offline, 0xaad57dce, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0xa2832c3b, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0xdc5dc275, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x3b31842f, "_gpl");
SYMBOL_CRC(ata_host_resume, 0xf53fde66, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0xbe8e9b0e, "_gpl");
SYMBOL_CRC(ata_port_free, 0x24ffa5de, "_gpl");
SYMBOL_CRC(ata_host_put, 0x7d55e04a, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x35d7af4b, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x174eb52e, "_gpl");
SYMBOL_CRC(ata_host_start, 0xea6ef97b, "_gpl");
SYMBOL_CRC(ata_host_init, 0xb6ef4d35, "_gpl");
SYMBOL_CRC(ata_port_probe, 0x1c80fd82, "_gpl");
SYMBOL_CRC(ata_host_register, 0x0c507fb6, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x473a529f, "_gpl");
SYMBOL_CRC(ata_host_detach, 0xe6fe66ba, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x681abd3d, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x9756cd8f, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0x961a84be, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0xaa173c6d, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xe82c6c77, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x08a3c3b5, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x4c31150e, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0xfcdf9730, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x941ca63c, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x02f01bd0, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0xcbb1a2ef, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0x6edafe60, "_gpl");
SYMBOL_CRC(ata_print_version, 0x9888bada, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0xbac01256, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x2076b2c6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x64e8041f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xf4c94a84, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0xf59c887c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xfdbd8736, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xb6823a1d, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x97291029, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0x7403a311, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0xede6f003, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x7a77eebf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x2f67690f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0xc5b74373, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x60a2a95a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0xccc38ec1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0x218f0775, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x7dbc3e1d, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x4c3ebd4a, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x529225e6, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x4fb267f3, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x1ac11b9f, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x6d14c7a1, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0xaef3edf2, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0x5756c90c, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0x90f3f73e, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0xf04ed800, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0xb270a74c, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0xa118e9f5, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x8eeeb305, "_gpl");
SYMBOL_CRC(ata_port_desc, 0xc4d9670a, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x8c9a8538, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0x1a7c843e, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x305b231a, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0xdfe70d37, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x89c47b08, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0xbd88112b, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xc316eca8, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x7e3a60bc, "_gpl");
SYMBOL_CRC(ata_port_abort, 0xceea8f49, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0xdff709d0, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0xc76042a6, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x4fc6a9c0, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x035e00d1, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x73e10192, "_gpl");
SYMBOL_CRC(ata_tport_add, 0x3caf1895, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x259fda36, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x1929da0f, "_gpl");
SYMBOL_CRC(sata_scr_read, 0xb9f94432, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x34c8971d, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x7df57552, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0x1a100230, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x021f9ef8, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x6f3e2df3, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x8c4efa61, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0xdbb18e08, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0xe400c7c9, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0xbf0ce7d0, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x11c34826, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0xe02fea4e, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0xdbd3426f, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x3e8d5d38, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x7c114a96, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0xb7998756, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0xca34fb33, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xdd871875, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x442207d2, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0x901b7a75, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x05a4dfa6, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x65dc73c4, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x245e5f6d, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x57a525cd, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0xdaa64aa2, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x3f226fcc, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x2b773eef, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0xfdf23ee0, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x78b42ecc, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x911d160c, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x74fa0c5f, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x6638380c, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0xef73f679, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0x7fd25b80, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x8569c9f5, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0xac747972, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x046d2a46, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x7adbcc6e, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x6a3675e6, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0x0e153cc2, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0xa38d0e0c, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x55349cd2, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0xa9e01af9, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x5f2d5821, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x535eb373, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x85199e8d, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0x64c1ad74, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x6df6469b, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0xd32d3562, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x5b05b121, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x836e192a, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x015aeeb9, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x95b351b3, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x9df4d95d, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0xc359e46f, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x05a02353, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xfd30170d, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xb9c7b922, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0xb0959e7a, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0x1b5d6c87, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x37ca752f, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0xf61e5956, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0xb6c22fbc, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x345da158, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0xea635831, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0xb953817f, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x04cf4e3f, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x4d6d92cf, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x5eee8126, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xa7374a2f, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0xa7ba063c, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x77854bff, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x721b3682, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0xc3c74aed, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0x3e6d7687, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x945357f0, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x72692441, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xfbd73acd, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0x38a10b87, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0x945dc232, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xb34ab662, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x4b9f626b, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x5e5c27d3, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x42ab90f5, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xfc1f094c, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x2a4be95e, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x8a19be02, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x27932f17, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3c5c4a8, "scsi_device_set_state" },
	{ 0x44b15e10, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x587b5beb, "pci_read_config_dword" },
	{ 0x4e609ffb, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x2d717c7b, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1f8b88c5, "put_device" },
	{ 0x3d184561, "devm_free_irq" },
	{ 0xb6019912, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc0681848, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x534dcb5e, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0x20fb1db8, "pcim_iomap_regions" },
	{ 0x9571b7c4, "kobject_uevent_env" },
	{ 0x69d303e3, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0xf907260d, "_dev_err" },
	{ 0xfcf05321, "scsi_host_put" },
	{ 0x6f2e9500, "transport_class_unregister" },
	{ 0xfe39849e, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x72038f66, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5868ec9e, "attribute_container_register" },
	{ 0xb3e19cb6, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3be45ab1, "__devres_alloc_node" },
	{ 0xa1bf9dc6, "sg_miter_stop" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb1df856c, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0xa386ef7e, "transport_configure_device" },
	{ 0xe424902d, "devres_open_group" },
	{ 0x83f4132c, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x73105e52, "pcim_pin_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xab5b23e5, "transport_add_device" },
	{ 0xc66fea1c, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1528aa9a, "pci_restore_state" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0x5c21ba58, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x89018f44, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xba1d2b3a, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x63b3add3, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x492d7f10, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0xdddcc7e5, "pv_ops" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x3ae01f3a, "pm_runtime_forbid" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xae97d25b, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d1fdb7, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x194aeccc, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ffc5e87, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xb9be1cdb, "pci_disable_device" },
	{ 0xd3ff7ea2, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x79ae1aea, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xb977afff, "pcim_iomap_table" },
	{ 0xf42cf04e, "scsi_remove_device" },
	{ 0xe46a6669, "blk_abort_request" },
	{ 0x482210d0, "scsi_add_host_with_dma" },
	{ 0x4976a780, "set_primary_fwnode" },
	{ 0x742b9b39, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0x8ad45a3c, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x83c30a6e, "dev_pm_qos_expose_flags" },
	{ 0xed36a742, "pcim_enable_device" },
	{ 0xd70a30c3, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x9f566825, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6a49bbf1, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b296a08, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47639529, "acpi_pm_set_device_wakeup" },
	{ 0xcf45099, "pci_bus_type" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xce209a36, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xab10e66a, "transport_class_register" },
	{ 0x6cbe9d98, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xbdb36f9c, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa5ba64e0, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9b2a6b2a, "devres_release_group" },
	{ 0xdfd16b21, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd890b90, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xb3d3522, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd4de7e52, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff8c902a, "dmam_alloc_attrs" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x211945ba, "scsi_remove_host" },
	{ 0x60157d76, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe821e1a8, "scsi_build_sense" },
	{ 0xe409c517, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x26bba49e, "scsi_check_sense" },
	{ 0x6d850544, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xc3a870aa, "sdev_evt_send_simple" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0412b93, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x98d32269, "sdev_disable_disk_events" },
	{ 0x8ae76ff9, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "07E08E91F3D1101E4EFF815");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
