#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_init_stacking_limits, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");

SYMBOL_CRC(md_cluster_ops, 0xa8b1eb09, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0xf5463478, "");
SYMBOL_CRC(mddev_suspend, 0x10d67973, "_gpl");
SYMBOL_CRC(mddev_resume, 0x1b40cc15, "_gpl");
SYMBOL_CRC(md_flush_request, 0x019a16b4, "");
SYMBOL_CRC(mddev_init, 0x81abe870, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x30cda6f2, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x8e56289e, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x0f7cbaaa, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0xa7a2a992, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0xe9d2ffc8, "_gpl");
SYMBOL_CRC(sync_page_io, 0xfee3a0f4, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xc92bb374, "");
SYMBOL_CRC(md_integrity_register, 0x125f4491, "");
SYMBOL_CRC(md_update_sb, 0x0d461af3, "");
SYMBOL_CRC(md_rdev_init, 0x4f6153c6, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xddef3be7, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0xb868dad6, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x32207c64, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0x501117af, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0x4b247cb4, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0xe0849b1b, "_gpl");
SYMBOL_CRC(md_init_stacking_limits, 0x36370808, "_gpl");
SYMBOL_CRC(md_run, 0xd7200e57, "_gpl");
SYMBOL_CRC(md_start, 0x28860b45, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x660646d2, "_gpl");
SYMBOL_CRC(md_stop, 0xea25f237, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x13cceeb2, "");
SYMBOL_CRC(md_wakeup_thread, 0x308fee29, "");
SYMBOL_CRC(md_register_thread, 0x6084a498, "");
SYMBOL_CRC(md_unregister_thread, 0x9d1d6c8a, "");
SYMBOL_CRC(md_error, 0x602b184b, "");
SYMBOL_CRC(register_md_personality, 0xd12af7e6, "");
SYMBOL_CRC(unregister_md_personality, 0x747624a8, "");
SYMBOL_CRC(register_md_cluster_operations, 0x74376255, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xf8e451a6, "");
SYMBOL_CRC(md_write_start, 0xe222ebc5, "");
SYMBOL_CRC(md_write_inc, 0xf8508311, "");
SYMBOL_CRC(md_write_end, 0x3653c498, "");
SYMBOL_CRC(md_submit_discard_bio, 0x5f0b7f9c, "_gpl");
SYMBOL_CRC(md_account_bio, 0xd117e696, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0xc3db14c3, "_gpl");
SYMBOL_CRC(md_allow_write, 0xd6c28a80, "_gpl");
SYMBOL_CRC(md_do_sync, 0x908f5ca1, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xcdfe53d0, "");
SYMBOL_CRC(md_reap_sync_thread, 0xa432543d, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0xaff9a2c9, "");
SYMBOL_CRC(md_finish_reshape, 0x3e71b72e, "");
SYMBOL_CRC(rdev_set_badblocks, 0xca8bdfd1, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x1604a354, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x859b35db, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16095307, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xf8cefff8, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd89b1880, "kobject_uevent" },
	{ 0xc71a2a44, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc4b7711a, "bd_link_disk_holder" },
	{ 0x92cbf2fe, "alloc_pages_noprof" },
	{ 0x135f46d6, "queue_limits_commit_update" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0xa2bab2be, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8c83ed9d, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x626b36f2, "seq_open" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x1ddf28c1, "badblocks_clear" },
	{ 0x3c3001d3, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x79352815, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf5e4bdb0, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x57d1a3b8, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x611d1566, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x327d8d22, "kobject_put" },
	{ 0xeaa44fbb, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x73883b2a, "set_disk_ro" },
	{ 0x9c2691c8, "__blk_alloc_disk" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x28dbd028, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xf124696c, "__bio_add_page" },
	{ 0x260051e3, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x39e83810, "proc_create" },
	{ 0x2066c098, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0x93dfefe7, "seq_release" },
	{ 0xb86a506d, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xd91c7ad8, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfb1b1fd8, "queue_limits_stack_bdev" },
	{ 0x849046d6, "fget" },
	{ 0xc478ccfa, "sysfs_unbreak_active_protection" },
	{ 0x44559a61, "invalidate_mapping_pages" },
	{ 0x7c3d9e0d, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc401d609, "badblocks_exit" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x512b17df, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xfa709c7d, "kernfs_notify" },
	{ 0x2065d66b, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xe787950a, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9af9ad28, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xf764ab65, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92588f90, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88fb8d30, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x21be2a35, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0xd3460590, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x3af5f717, "sync_blockdev" },
	{ 0xbde54ca2, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf8c65b72, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x88cc6e17, "submit_bio" },
	{ 0xec1f44a5, "module_put" },
	{ 0xfca8a46b, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7d4a513d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc2c5802, "work_busy" },
	{ 0x4c8894a4, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x29ef5df, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xb64a4432, "bio_put" },
	{ 0x9cd0554a, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x96eb5810, "__SCK__tp_func_block_bio_remap" },
	{ 0xee724366, "fput" },
	{ 0xd1c13ed2, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfbba88dd, "sysfs_remove_link" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x18003ece, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9bab73db, "blk_sync_queue" },
	{ 0x971fcc12, "seq_file_path" },
	{ 0x999ea8a4, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x6284b62c, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xba45e70, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x695fbd6, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0xbe1bebbc, "__put_devmap_managed_folio_refs" },
	{ 0xa07941ab, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2fd0b229, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x856c399d, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd2e21902, "bio_init" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xd30a42ed, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x736d49ae, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fcdf30e, "kthread_create_on_node" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0xa719d826, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x72ee6bb1, "kobject_del" },
	{ 0xf2bd0e6e, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xa2dd0045, "bioset_init" },
	{ 0x4ca9aea2, "file_path" },
	{ 0x361cff3e, "kernfs_put" },
	{ 0x5eb67670, "sysfs_break_active_protection" },
	{ 0x554475ca, "seq_write" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "339DF0D9D70B290BC631F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
