#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x2189cdd3, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcb72ed, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x62d405c, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x716502e6, "nvmf_unregister_transport" },
	{ 0x7ce1353, "blkcg_get_fc_appid" },
	{ 0x1f8b88c5, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2743b955, "nvme_change_ctrl_state" },
	{ 0xcda982ce, "_dev_info" },
	{ 0x33a8ca95, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xbef1a99a, "nvme_alloc_io_tag_set" },
	{ 0x114551dd, "nvme_fail_nonready_command" },
	{ 0x9571b7c4, "kobject_uevent_env" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf907260d, "_dev_err" },
	{ 0xfeebf570, "device_create" },
	{ 0x9bab73db, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x803baa27, "__blk_rq_map_sg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xab3cea1e, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7f3ff6c6, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xbaf0662d, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x335d2a09, "nvme_enable_ctrl" },
	{ 0xfc6a23, "nvme_unquiesce_admin_queue" },
	{ 0xba1d2b3a, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7130f9bf, "nvme_unquiesce_io_queues" },
	{ 0xdc298995, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe702ea62, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2fe53b4c, "nvmf_should_reconnect" },
	{ 0xdd0fa41d, "__dma_sync_single_for_device" },
	{ 0xb251382c, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7108d673, "device_destroy" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x73946d86, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xd50d6b18, "nvmf_register_transport" },
	{ 0x45a093dd, "blk_mq_start_request" },
	{ 0xc345384b, "nvme_quiesce_io_queues" },
	{ 0xf3e6179d, "blk_mq_tagset_busy_iter" },
	{ 0x795542e6, "nvme_stop_ctrl" },
	{ 0x79ae1aea, "dma_unmap_sg_attrs" },
	{ 0x2777e91a, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x8711853, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x9c4f0ec9, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4bd2c9f9, "class_register" },
	{ 0x29edb29c, "__nvme_check_ready" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xce209a36, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbe34565a, "nvme_add_ctrl" },
	{ 0xb7608ad, "nvme_remove_admin_tag_set" },
	{ 0x9451b0dc, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2a3ed3c6, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd0bb613e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0xae9e10ee, "nvmf_subsystem_reset" },
	{ 0xf5c2b0b1, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x285c6965, "nvme_stop_keep_alive" },
	{ 0xb53c3864, "blk_mq_complete_request_remote" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0x77821383, "nvme_setup_cmd" },
	{ 0xe187769e, "nvme_start_ctrl" },
	{ 0xe6879f78, "nvme_alloc_admin_tag_set" },
	{ 0xf2f82391, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x96c7f895, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1df68a38, "nvme_delete_ctrl" },
	{ 0x9682db6, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9ef4d9cd, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44b15e10, "dev_driver_string" },
	{ 0x201d953e, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x3b3de68b, "nvme_remove_io_tag_set" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "6DD51F9B974766A4607E969");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
