#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x8ed0f5d1, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0xc83efe99, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x7e5310d6, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0xa511d0c7, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0xd4911852, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x6ae27a56, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xaa01659f, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x70ceecdb, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x5c72c0f6, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x3b24c239, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xa13b6bd7, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x588656ca, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x1234839e, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xb0ed77d3, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xfd60d8b1, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x09eeebc3, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x5b97f352, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x93015efd, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x9f8891be, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x7df0d4ee, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x83343c49, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xb7ea3d3f, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x449e5ba3, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xda445e7d, "");
SYMBOL_CRC(ufshcd_system_resume, 0x85a55dd5, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x8cba4b96, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xc87495e0, "");
SYMBOL_CRC(ufshcd_remove, 0xf5c2b5f9, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x513d94a9, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x757c6f6e, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x350549f0, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xfbd8fb56, "");
SYMBOL_CRC(ufshcd_init, 0x8839f672, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x742754f3, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x6a4c4eb9, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x0e3bb83d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xf23e10fd, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0xf1f0dc52, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0xa82c6cc6, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x412cf46d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x4c960743, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x05192495, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x8bcc248e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x938598c2, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xaf33dd20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3b296a08, "scsi_change_queue_depth" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x3c4f2ce3, "device_remove_file" },
	{ 0xce209a36, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x84d32628, "scsi_dma_map" },
	{ 0xc64f319e, "scsi_print_sense_hdr" },
	{ 0xdaf0c6fe, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc67a4839, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd06c707c, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xdfd16b21, "devm_request_threaded_irq" },
	{ 0x5d8032d9, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xab7d0c36, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xeb036174, "scsi_autopm_put_device" },
	{ 0xd890b90, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xabfa2a0d, "bsg_remove_queue" },
	{ 0xb3d3522, "dev_set_name" },
	{ 0xea2fcd0, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff8c902a, "dmam_alloc_attrs" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x211945ba, "scsi_remove_host" },
	{ 0x6f8fdd1, "bpf_trace_run6" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x42357605, "blk_pm_runtime_init" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0xa470ef95, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc41895dd, "sysfs_remove_groups" },
	{ 0x45a7bc2d, "hwmon_notify_event" },
	{ 0x18b88130, "pm_runtime_get_if_active" },
	{ 0xdf02df39, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x6d850544, "device_initialize" },
	{ 0x2b36ba28, "devfreq_recommended_opp" },
	{ 0x6bbfc25d, "sysfs_create_groups" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa8ec278, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x3fefa1bb, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x9682db6, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa9e42b93, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd108ce42, "blk_mq_alloc_tag_set" },
	{ 0x3c5c4a8, "scsi_device_set_state" },
	{ 0x9bb117e8, "devfreq_add_device" },
	{ 0x44b15e10, "dev_driver_string" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe64c0b43, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa32e6aec, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1f8b88c5, "put_device" },
	{ 0xea9b71c1, "blk_mq_unquiesce_tagset" },
	{ 0x8c8678fb, "dev_pm_opp_put" },
	{ 0x98207624, "blk_mq_free_request" },
	{ 0x3ae5583c, "device_property_read_u32_array" },
	{ 0x68e1ae59, "devm_regulator_get" },
	{ 0x5caf063d, "dev_pm_opp_get_freq_indexed" },
	{ 0xcda982ce, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x534dcb5e, "scsi_device_put" },
	{ 0x4df977bb, "device_create_file" },
	{ 0x11e03921, "blk_mq_quiesce_tagset" },
	{ 0x5e56b448, "debugfs_attr_read" },
	{ 0x7870e8fa, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0xf907260d, "_dev_err" },
	{ 0x74239d77, "devfreq_remove_device" },
	{ 0xfcf05321, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xfe39849e, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9d9f3f8f, "simple_attr_release" },
	{ 0xe39bb3a6, "hwmon_device_register_with_info" },
	{ 0x2c2d8b, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x6501f459, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69510d31, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0x6a61366f, "sdev_prefix_printk" },
	{ 0x3f54c9b6, "scsi_scan_host" },
	{ 0x6303756b, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0xb1df856c, "device_link_remove" },
	{ 0x7a2f01fb, "blk_mq_alloc_request" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0x8ac346ee, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x94a8d28d, "blk_put_queue" },
	{ 0x5c21ba58, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xbcf6030e, "dev_pm_opp_set_opp" },
	{ 0x63d5d3c3, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0xba1d2b3a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x55cc0b42, "regulator_count_voltages" },
	{ 0xf49b7021, "scsi_is_host_device" },
	{ 0x72f62645, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57d6698, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x47d4bc2e, "bpf_trace_run10" },
	{ 0x6cd97a43, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe1cb0d8, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x8fe045d, "scsi_print_command" },
	{ 0xa719d826, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3f2c9c8f, "__scsi_register_driver" },
	{ 0x3ae01f3a, "pm_runtime_forbid" },
	{ 0x3571cbff, "debugfs_create_file" },
	{ 0x7e2cb8d8, "param_set_uint_minmax" },
	{ 0x4814fa84, "blk_mq_freeze_queue" },
	{ 0xbadf5d7b, "pm_runtime_allow" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x7e70e5f, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xed856b8f, "blk_mq_destroy_queue" },
	{ 0x2d1fdb7, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3bdd5f9f, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xd98fd25e, "devm_blk_crypto_profile_init" },
	{ 0xe21e5325, "hwmon_device_unregister" },
	{ 0xd8f618c, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3e6179d, "blk_mq_tagset_busy_iter" },
	{ 0xd3ff7ea2, "scsi_done" },
	{ 0xfc79eb12, "single_release" },
	{ 0x76cc783f, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0xe7a39948, "regulator_disable" },
	{ 0x94626bd0, "dev_err_probe" },
	{ 0x79ae1aea, "dma_unmap_sg_attrs" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0xf42cf04e, "scsi_remove_device" },
	{ 0x578fd2f2, "scsi_block_requests" },
	{ 0x482210d0, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0xd70a30c3, "scsi_host_alloc" },
	{ 0x9f566825, "__scsi_add_device" },
	{ 0x727d02ad, "devfreq_resume_device" },
	{ 0xf29c5392, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6a49bbf1, "device_link_add" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "47E9D77C59CAB14697DE5AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
